/*
 * server_functions.h
 * 
 * This file defines the server functions that will be called by the client.
 * The TA is going to implement these functions in File "server_functions.c"
 * Only the implementation for f0 is given, but not f1, f2, and f3.
 * But you are encouraged to implement f1, f2, and f3 for your own testing purpose.
 *
 * note: "IN" means the argument is an "input to" the server.
         "OUT" means the argument is an "output from" the server.
 *       "INOUT" means the argument is an "input to" and "output from" the server.
 *       There can be only one OUTPUT parameter per function, 
 *       and if there is one it goes in args[0].
 *
 * Individual mapping from the rpc argument-types to C function is given in each case.
 */


int f0(int a, int b);     /* return: OUT; a, b: IN */

long f1(char a, short b, int c, long d); /* returns: OUT; a, b, c, d: IN */

char* f2(float a, double b);             /* return: OUT string; a, b: IN */
				     
void f3(long a[]);                       /* a: INOUT array */



